Subject: bug#9766: 24.0.50; rmail-forward makes attachment that doesn't read right

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2011 01:05:49 -0400

> Date: Sun, 16 Oct 2011 17:40:12 -0400
> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> 
>     It's a missing feature in rmail-forward, see bug #9521 (now merged
>     with this one) and a short conversation that started here:
> 
>       http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-09/msg00691.html
> 
> It is hard for me to read a thread of mail.
> Can you show me the text that describes what is missing?
> Maybe I can write it.

Here:

> > From: Kenichi Handa <address@hidden>
> > Cc: address@hidden, address@hidden
> > Date: Fri, 16 Sep 2011 12:41:37 +0900
> > 
> > rmail-forward still has a problem when a message has an
> > attachment file.

> Yes, I know.  But that's a different bug.  It happens because
> rmail-forward simply copies the text from the buffer where the
> forwarded message is displayed, which is not TRT when the message
> has
> attachments, because rmail-mime reformats it for display and adds
> buttons.

Actually that copying is done by
rmail-insert-mime-resent-message
(rmail-insert-mime-resent-message-function is set to it when
rmailmm.el is loaded), and that function was changed by RMS
as this.

2011-06-22  Richard Stallman  <address@hidden>

        * mail/sendmail.el (mail-bury): If Rmail is in use, return
          nicely
        to Rmail even if not started by a special Rmail command.

        * mail/rmailmm.el (rmail-insert-mime-forwarded-message):
        Copy the buffer currently showing just one message.

I don't know what it was going to fix.